<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Дата-центр - Список нарушений');
$title->GetHeader();

if ($b['level'] == 0) {
header('location:/');
die();
}
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/administration/"style="text-decoration:none; color:white;"> Дата-центр</a> :: Список нарушений</div></div></div>';
$look = DB::$dbs -> querySingle("SELECT COUNT(id) FROM nar");
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
if ($look==0) {
echo '<div class="alert alert-danger" role="alert">Пусто...</div>';
} else {
$sql = DB::$dbs->query("SELECT * FROM nar ORDER BY time DESC LIMIT $start,$num");
while ($arr = $sql -> fetch()) {
$arrType = [1 => 'Предупреждение', 2 => 'Нарушение', 3 => 'Бан'];
echo '<div class="list-group-item media">'.Nick($arr['id_user']).' вписал нарушение '.Nick($arr['user_id']).' ('.vr($arr['time']).')<br/>';
if (!empty($arr['nar'])) {
echo 'Нарушаемые пункты: <b>'.($arr['nar'] == 0 ? 'На усмотрение администратора': $arr['nar']).'</b><br/>';
}
echo 'Комментарий: <b>'.text($arr['text']).'</b><br/>';
echo (!empty($arr['tema']) ? 'Ссылка на тему: <a href="'.$arr['tema'].'">'.$arr['tema'].'</a>':NULL);
echo '</div>';
}
}
if ($k_page>1) {
str('?', $k_page, $page);
}


$title->GetMenu();
$title->GetFooter();
?>